@media (prefers-color-scheme: dark) {
  :root {
    --text: #c9d1d9;
    --bg: #0d1117;
    --bg2: #161b22;
    --border: #30363d;
    --link: #58a6ff;
  }
}

@media (prefers-color-scheme: light) {
  :root {
    --text: #24292f;
    --bg: #ffffcc;
    --bg2: #ffffff;
    --border: #d0d7de;
    --link: #0969da;
  }
}

body {
  margin: 32px;
  color: var(--text);
  background-color: var(--bg);
  font-family: Arial, Helvetica, sans-serif;
  font-size: 16px;
  line-height: 1.5;
}

a {
  color: var(--link);
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

h1 {
  margin-top: 24px;
  margin-bottom: 16px;
  padding-bottom: 0.3em;
  font-size: 2em;
}

h3 {
  margin-top: 24px;
  margin-bottom: 16px;
  font-size: 1.25em;
}

p {
  margin-bottom: 10px;
}

strong {
  font-weight: bold;
}

hr {
  height: 1px;
  margin: 24px 0;
  border: 0;
  background-color: var(--border);
}

table {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
}

th, td {
    width: 25%;
    text-align: center;
    padding: 6px 13px;
    border: 1px solid var(--border);
}

tr {
  background-color: var(--bg2);
}

.post-content {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    align-items: flex-start;
}

.text {
    flex: 1;
}

.image img {
    max-width: 300px;
    height: auto;
}

small {
    font-size: 12px;
}